## org.mortbay.jetty.plus.naming
Class Resource

    java.lang.Object
      org.mortbay.jetty.plus.naming.NamingEntry
          org.mortbay.jetty.plus.naming.Resource

    public class Resource

extends NamingEntry

Resource

Field Summary

Fields inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`__contextName, jndiName, namingEntryNameString, objectNameString, objectToBind`

Constructor Summary
`Resource(java.lang.Object scope, java.lang.String jndiName, java.lang.Object objToBind)`
`Resource(java.lang.String jndiName, java.lang.Object objToBind)`

Method Summary

Methods inherited from class org.mortbay.jetty.plus.naming.NamingEntry
`bindToENC, getJndiName, getJndiNameInScope, getObjectToBind, release, save, unbindENC`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Resource

    public Resource(java.lang.Object scope,
                    java.lang.String jndiName,
                    java.lang.Object objToBind)
             throws javax.naming.NamingException

Throws:
  `javax.naming.NamingException`

### Resource

    public Resource(java.lang.String jndiName,
                    java.lang.Object objToBind)
             throws javax.naming.NamingException

Parameters:
  `jndiName` -
  `objToBind` -
Throws:
  `javax.naming.NamingException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.